%define beta beta4
%define subrel 1

Name: libmsn
Summary: Reusable, open-source and fully documented library for MSN
Version: 4.0
Release: %mkrel 0.%{beta}.0
Url: http://sourceforge.net/projects/libmsn
License: GPLv2+
Group: Development/C++
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: http://downloads.sourceforge.net/libmsn/%name-%version-%{beta}.tar.bz2
BuildRequires: cmake
BuildRequires: openssl-devel
BuildRequires: pkgconfig

%description
Libmsn is a reusable, open-source, fully documented library for 
connecting to Microsoft's MSN Messenger service. 

#-----------------------------------------------------------------------------

%define msn_major 0
%define libmsn %mklibname msn %{msn_major}

%package -n %libmsn
Summary: %name library
Group: System/Libraries

%description -n %libmsn
%name library

%files -n %libmsn
%defattr(-,root,root)
%_libdir/libmsn.so.%{msn_major}*

#-----------------------------------------------------------------------------

%package test
Summary: Connection test utility
Group: Development/C++

%description test
Connection test utility.

%files test
%defattr(-,root,root)
%_bindir/*

#-----------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/C++
Requires: %libmsn = %version

%description  devel
Files needed to build applications based on %{name}.

%files devel
%defattr(-,root,root)
%_libdir/pkgconfig/*
%_includedir/msn
%_libdir/libmsn.so

#-----------------------------------------------------------------------------

%prep
%setup -q -n libmsn-4.0-%{beta}

%build
%cmake
%make

%install
%makeinstall_std -C build

%clean
rm -rf "%{buildroot}"


%changelog
* Tue May 05 2009 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta4.0.1mdv2009.0
+ Revision: 372310
- Required by KDE 4.2.3

* Sat Jan 24 2009 Funda Wang <fundawang@mandriva.org> 4.0-0.beta4.1mdv2009.1
+ Revision: 333168
- 4.0 beta 4

* Fri Jan 23 2009 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta3.1mdv2009.1
+ Revision: 333083
- Update with beta 3 plus current fixes from svn

* Tue Jan 13 2009 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta2.2mdv2009.1
+ Revision: 329027
- Update with current svn until beta3 is launched, with latest msn login fix

* Tue Dec 30 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta2.1mdv2009.1
+ Revision: 321315
- Update to current beta2

* Wed Dec 03 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0-0.beta1.3mdv2009.1
+ Revision: 309741
- Compilae revision 75 of libmsn svn
- Required for new kde4 kopete.
- Fix bko http://bugs.kde.org/show_bug.cgi?id=176703

* Sun Nov 16 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0-0.beta1.1mdv2009.1
+ Revision: 303850
- Fix lib install
- New version 4.0 beta 1

  + Funda Wang <fundawang@mandriva.org>
    - fix url

* Wed Oct 29 2008 Nicolas Lécureuil <neoclust@mandriva.org> 3.2-1mdv2009.1
+ Revision: 298574
- import libmsn


